// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2009
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL
//

// TODO - helpers to load the media bar with specific media streams... - ja
function flockReportMediabarOpen(aEvt) {
  var key = "MediaBar-Open";
  var photoDrawer = document.getElementById("flock_MediabarTopbarBroadcaster");
  if (photoDrawer && photoDrawer.getAttribute("checked")) {
    key = "MediaBar-Close";
  }
  var src = "Unknown";
  if (aEvt && aEvt.currentTarget && aEvt.currentTarget.id) {
    var str = "" + aEvt.currentTarget.id;
    if (str.match(/menu/i)) {
      src = "Menu";
    } else if (str.match(/key/i)) {
      src = "KeyboardShortcut";
    } else {
      src = aEvt.currentTarget.id;
    }
  }
  var metrics = Components.classes["@flock.com/metrics-service;1"]
                .getService(Components.interfaces.flockIMetricsService);
  metrics.report(key, src);
}
